ReferenceJee main
Retrieve a JEE Main paper by year, shift, and filename
Fetch a JEE Main question paper. Same v4 schema as NEET.
Available files: paper.json, physics.json,
chemistry.json, mathematics.json
Note: JEE Main data is being added and will be available soon. The endpoint structure is ready.
Authorization
BearerAuth AuthorizationBearer <token>
Unkey API key. Prefix: ps_ (production) / ps_test_ (staging).
Authorization: Bearer ps_xxxxxxxxxxxxxxxxxxxxxxxx
Get your key at paperstack.qzz.io.
In: header
Path Parameters
year*string
Exam year.
shift*string
Shift identifier.
filename*string
File to retrieve.
Value in
"paper.json" | "physics.json" | "chemistry.json" | "mathematics.json"Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/jeemain/2024/01apr-s1/physics.json"{
"schema": "v4",
"exam": "neet",
"year": 2024,
"shift": "05may-s1",
"paper": "string",
"subjects": [
"physics",
"chemistry",
"biology"
],
"total": 50,
"duration": 200,
"marksCorrect": 4,
"marksIncorrect": -1,
"marksUnanswered": 0,
"sections": {
"a": {
"label": "section a",
"total": 100,
"required": 100,
"mandatory": true
},
"b": {
"label": "section b",
"total": 100,
"required": 100,
"mandatory": true
}
},
"scrapedAt": "2026-05-21T05:30:13.506Z",
"answerKeyFound": true,
"checksum": "59f420b312eeb4f3dcaedc20356341ddd225d8ddbb272525b4b2bd9c16daa59c",
"provenance": {
"author": "Naman",
"repo": "https://github.com/rankify-ai/PaperStack",
"license": "PolyForm-Shield License-1.0.0",
"pipelineVersion": "1.0.0",
"generatedAt": "2026-05-21T05:30:13.506Z"
},
"questions": [
{
"id": "neet-2024-05may-s1-ph-001",
"number": 1,
"numberLabel": "string",
"subject": "physics",
"topic": "current-electricity",
"section": "a",
"type": "mcq",
"text": "The terminal voltage of the battery, whose emf is $10\\mathrm{V}$ and internal resistance $1\\Omega$, when connected through an external resistance of $4\\Omega$ as shown in the figure is:",
"options": [
"4 V",
"6 V",
"8 V",
"10 V"
],
"answer": "(3)",
"answers": [
1,
3
],
"answerPrecision": 2,
"marks": 4,
"negativeMarks": -1,
"passageId": "string",
"hasDiagram": true,
"diagrams": [
{
"file": "diagrams/q013-img-7.jpeg",
"label": "img-7.jpeg",
"caption": null
}
],
"difficulty": "easy",
"tags": [
"battery",
"terminal-voltage",
"internal-resistance"
],
"revision": 1,
"source": "official-pdf"
}
]
}{
"error": "Missing API key. Include it as: Authorization: Bearer ps_xxxx"
}{
"error": "Invalid or expired API key. Get a new one at paperstack.qzz.io."
}{
"error": "Invalid or expired API key. Get a new one at paperstack.qzz.io."
}{
"error": "Rate limit exceeded. Max 1 request per second on your plan. Please slow down."
}Was this page helpful?